//Shader file for nb3dm1
//Uses edited shaders from default id ones and evil6.

textures/nb3dm1/e6basicstrip_blue_1k
{
	qer_editorimage textures/nb3dm1/e6basicstrip_blue.tga
	q3map_surfacelight 1000
	surfaceparm nomarks
	surfaceparm nolightmap
	
	{
		map textures/nb3dm1/e6basicstrip_blue.tga
	}
}

textures/nb3dm1/nb3dm1sky
{
	surfaceparm noimpact
	surfaceparm nolightmap
        q3map_lightimage textures/common/white.tga
	qer_editorimage textures/skies/space1_bk.tga
	q3map_sun	1 0.8 0.8 100 130 40
	q3map_surfacelight 50

        skyparms env/space1 - -
}

textures/nb3dm1/brownhellfog
{
	qer_editorimage textures/liquids/kc_fogcloud3.tga
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	fog
	surfaceparm 	nodrop
	surfaceparm 	nolightmap
	q3map_globaltexture
	fogparms ( 0.42 0.36 .30 ) 300

	
	{
		map textures/liquids/kc_fogcloud3.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale -.05 -.05
		tcmod scroll .01 -.01
		rgbgen identity
	}

	{
		map textures/liquids/kc_fogcloud3.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale .05 .05
		tcmod scroll .01 -.01
		rgbgen identity
	}

}

textures/nb3dm1/lavahell_600_subdivided
{
	qer_editorimage textures/liquids/lavahell.tga
	q3map_globaltexture
	surfaceparm noimpact
	surfaceparm trans
	surfaceparm lava
	surfaceparm nolightmap
	q3map_lightsubdivide 64
	q3map_surfacelight 600
	cull disable
	
	tesssize 128
	cull disable
	deformVertexes wave 128 sin 3 4 0 0.1
	
	{
		map textures/liquids/lavahell.tga
		tcMod turb 0 .2 0 .1
	}


}

textures/nb3dm1/e6basicstrip_white_1k
{
	qer_editorimage textures/nb3dm1/e6basicstrip_white.tga
	q3map_surfacelight 1000
	surfaceparm nomarks
	surfaceparm nolightmap
	
	{
		map textures/nb3dm1/e6basicstrip_white.tga
	}
}
